Bug 515601 - (90s-icons) Anaconda still uses some old school icons
Anaconda still uses some old school icons
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 517164
Blocks: 562681 AnacondaUI
  Show dependency treegraph
 
Reported: 2009-08-04 17:40 EDT by Piotr Drąg
Modified: 2012-02-07 16:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 14:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed icons for anaconda (12.59 KB, application/x-bzip2)
2009-08-05 13:06 EDT, Piotr Drąg
no flags Details

  None (edit)
Description Piotr Drąg 2009-08-04 17:40:34 EDT
Anaconda still uses some 90' style icons [1]. They also differ with size and style from each other. I think they should be replaced with modern ones, from gnome-icon-theme or maybe Tango Project. Some are not icons, but more pictures, so Design Team probably can help with these.

[1] http://git.fedorahosted.org/git/?p=anaconda.git;a=tree;f=pixmaps;hb=HEAD
Comment 1 David Cantrell 2009-08-04 23:37:29 EDT
You say that like the 90s were a bad thing.  What part of the 90s are you referring to?
Comment 2 Piotr Drąg 2009-08-05 13:06:56 EDT
Created attachment 356384 [details]
Proposed icons for anaconda

90' were the best time for music (except 70'), but certainly not for OS icons. And early GNOME 2.0 wasn't better than Windows 3.11. In attachment there are replacements for five icons used by anaconda, taken from gnome-icon-theme-2.26 (GPLv2). Four remaining pictures need to be created especially for anaconda, and I'm not an artist. :/
Comment 3 Chris Lumens 2009-08-05 13:16:23 EDT
Mo - your opinions on the icons here?
Comment 4 Máirín Duffy 2009-08-06 14:17:38 EDT
We should definitely update them with gnome-icon-theme based icons. I can take this on - it would be easier to track it as a ticket in the design team trac queue. Would that be okay?
Comment 5 Chris Lumens 2009-08-06 14:21:04 EDT
Yes, that's fine with me.
Comment 6 Piotr Drąg 2009-08-06 14:41:19 EDT
Quick note - this screen doesn't have icon at all, while every else have one: http://git.fedorahosted.org/git/?p=docs/install-guide.git;a=blob_plain;f=en-US/images/kbdconfig/keyboard.png;hb=HEAD
Comment 7 Máirín Duffy 2009-08-06 14:47:00 EDT
Okay this is ticket #63 on the design team queue

https://fedorahosted.org/design-team/ticket/63
Comment 8 Máirín Duffy 2009-08-10 11:37:43 EDT
okay i have a set of new icons (preview here: https://fedorahosted.org/design-team/attachment/ticket/63/new-icon-set.png) and a tar.bz2 of the PNGs for them:

https://fedorahosted.org/design-team/attachment/ticket/63/new-anaconda-icons_aug2009.tar.bz2

let me know what you think
Comment 9 Piotr Drąg 2009-08-11 07:58:22 EDT
Great for me. Exception icon would probably go now to new python-meh package [1]. Also I think that gnome-mouse.png is no longer used, and keyboard configuration and package selection screens don't have an icons.

[1] http://git.fedorahosted.org/git/?p=python-meh.git;a=tree;f=pixmaps;hb=HEAD
Comment 10 Máirín Duffy 2009-08-12 15:09:41 EDT
Piotr, do you think we should create icons for keyboard config and package selection?
Comment 11 Piotr Drąg 2009-08-12 15:18:03 EDT
I think so, but the developers of anaconda should check if they are needed. And if there are some more screens without icons, to provide consistent look and feel through the anaconda installer.
Comment 12 Chris Lumens 2009-09-15 14:12:27 EDT
Finally pushed the new icons.  There aren't really any other icons in anaconda itself.  The keyboard config one comes out of system-config-keyboard, and the package selection ones appear to come out of comps.

Note You need to log in before you can comment on or make changes to this bug.